%debug_package %{nil}
%define _unpackaged_files_terminate_build 0
%define __os_install_post %{nil}

Summary: SysAdmin's C Tools - small tools written in C
Name: sac-tools
Version: 20110710
Release: 1
Source: http://www.tuxad.de/sac-tools/%{name}-%{version}.tgz
License: GPL v2
Group: Utilities/System
URL: http://www.tuxad.de/software-sac-tools.html
BuildRequires: dietlibc
BuildRoot: %{_tmppath}/buildroot-%{name}-%{version}

%description 	
The sac-tools are primarily written to make sysadmin's daily work more
easy. Most of them are written to be used in bash scripts.
The sac-tools are:
sfgrep, showip, chrootuser, daemonize, direntries, dirscan, griller,
killwebprocs, lkill, usleep, lns, lps, postfix-mailqsize,
postfix-saslusernames and more

%prep
%setup -q

%build
make clean
make

%install
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}
%makeinstall
/bin/rm -f ${RPM_BUILD_ROOT}/%_bindir/ipv4conv ${RPM_BUILD_ROOT}/%_mandir/man1/usleep.1*
install -p -m 755 tools/msleep??? tools/svscanboot? tools/usleep ${RPM_BUILD_ROOT}/%_bindir/

%clean
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc README COPYING CHANGELOG sac-tools.spec
%_bindir/actionwhenfileold
%_bindir/breakout
%_bindir/chrootuser
%_bindir/daemonize
%_bindir/daemonizep
%_bindir/direntries
%_bindir/dirscan
%_bindir/griller
%_bindir/killwebprocs
%_bindir/lkill
%_bindir/lns
%_bindir/lps
%_bindir/msleep100
%_bindir/msleep250
%_bindir/msleep500
%_bindir/msleep750
%_bindir/postfix-mailqsize
%_bindir/postfix-saslusernames
%_bindir/sfgrep
%_bindir/showip
%_bindir/svscanboot2
%_bindir/svscanboot3
%_bindir/testcgi
%_bindir/usleep
%_mandir/man1/*.1*
%_mandir/man8/*.8*

%changelog
* Sun Jul 10 2011 Frank Bergmann <http://www.tuxad.com/> 20110710
- update version
- added actionwhenfileold
- added daemonizep
- added griller
* Sat Apr 16 2011 Frank Bergmann <http://www.tuxad.com/> 20110416
- update version
- chrootuser added
* Fri Dec  3 2010 Frank Bergmann <http://www.tuxad.com/> 20101203
- update version
* Thu Nov 18 2010 Frank Bergmann <http://www.tuxad.com/> 20101118
- update version
* Mon Nov  1  2010 Frank Bergmann <http://www.tuxad.com/> 20101101
- some minor spec changes
- version update
* Fri Dec  4 2009 Frank Bergmann <http://www.tuxad.com/> 20091204
- uh! spec-file needed heavy maintenance...
- clear spec history
* Sun Sep 27 2009 Frank Bergmann <http://www.tuxad.com/> 20090927
- move tools out of nagios-fwb and put them in separate package sac-tools
